## cataclysm-dda 0.F-2

=== debian/changelog ===
cataclysm-dda (0.F-2-2) unstable; urgency=medium

  * Increase terminal height in autopkgtest, as the main menu needs more
    vertical space during halloween season.
  * Build with LTO.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 28 Oct 2021 23:34:07 +0200

cataclysm-dda (0.F-2-1) unstable; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 03 Sep 2021 19:15:11 +0200

cataclysm-dda (0.F-1-2) unstable; urgency=medium

  * Set TERM in autopkgtest, as the environment is cleared on ci.d.n.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 24 Aug 2021 23:44:18 +0200

cataclysm-dda (0.F-1-1) unstable; urgency=medium

  * New upstream release.
  * Fix autopkgtest in minimal environments.
  * Bump Standards-Version to 4.6.0.
  * Disable tests broken in new upstream version.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 18 Aug 2021 18:17:12 +0200

cataclysm-dda (0.F-3) unstable; urgency=medium

  * Upload to unstable.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 15 Aug 2021 11:08:49 +0200

cataclysm-dda (0.F-2) experimental; urgency=medium

  * Install xdg files in install-bin target. Fixes arch-only FTBFS.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 17 Jul 2021 14:28:51 +0200

cataclysm-dda (0.F-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest for cataclysm-dda-curses.
  * Use dh_auto_test again, as it can build tests in parallel, and meanwhile
    sanitizes XDG_ variables.
  * Clean directory left over by tests.
  * Update paths in d/rules and d/*.install.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 10 Jul 2021 20:16:08 +0200

cataclysm-dda (0.F~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    - Refresh patches
  * Replace ttf-unifont dependency with fonts-unifont. (Closes: #986853)
  * Build without pre-compiled headers.
  * Exclude Terminus.ttf from upstream tarball.
  * Depend on and create symlink to terminus font.
  * Simplify dh_clean override.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 14 May 2021 14:44:30 +0200
