## cataclysm-dda 0.F-3

=== debian/changelog ===
cataclysm-dda (0.F-3-3) unstable; urgency=medium

  * Build on mipsel with reduced debug information to prevent memory
    exhaustion during linking.
    Thanks to Adrian Bunk for the workaround and verifying it.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 16 Jan 2022 12:12:30 +0100

cataclysm-dda (0.F-3-2) unstable; urgency=medium

  * Cherry-pick patch that allows disabling usage of gold linker.
  * Disable usage of gold linker as it's not available on some architectures.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 10 Jan 2022 14:28:02 +0100

cataclysm-dda (0.F-3-1) unstable; urgency=medium

  * New upstream release.
  * Cherry-pick commit that updates catch2 to fix build error with newer glibc.
  * Add a small delay in autopkgtest to wait for window update

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 29 Nov 2021 23:17:40 +0100

cataclysm-dda (0.F-2-3) unstable; urgency=medium

  * Replace transitional libncursesw5-dev build dependency with
    libncurses-dev.
  * Build unittests without LTO to prevent catch-related crash on mips64el.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 30 Oct 2021 20:11:28 +0200
