=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                gettext
-Build-Depends-Arch: libncursesw5-dev,
+Build-Depends-Arch: libncurses-dev,
                     librsvg2-bin,
                     libsdl2-dev,
                     libsdl2-image-dev,
