=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,12 @@
 
 SDL_FLAGS = TILES=1 SOUND=1
 CURSES_FLAGS =
-COMMON_FLAGS = VERSION=$(DEB_VERSION_UPSTREAM) PREFIX=/usr ASTYLE=0 RELEASE=1 USE_XDG_DIR=1 LANGUAGES=all DEBUG_SYMBOLS=1 LINTJSON=0 PCH=0 LTO=1
+COMMON_FLAGS = VERSION=$(DEB_VERSION_UPSTREAM) PREFIX=/usr ASTYLE=0 RELEASE=1 USE_XDG_DIR=1 LANGUAGES=all DEBUG_SYMBOLS=1 LINTJSON=0 PCH=0
+BIN_FLAGS = LTO=1 GOLD=0
+
+ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel))
+  COMMON_FLAGS += DEBUGSYMS=-g1
+endif
 
 # for building with ccache
 #COMMON_FLAGS += CCACHE=1
@@ -18,8 +23,8 @@
 	dh $@
 
 override_dh_auto_build-arch:
-	dh_auto_build -- RUNTESTS=0 $(COMMON_FLAGS) $(CURSES_FLAGS)
-	dh_auto_build -- RUNTESTS=0 $(COMMON_FLAGS) $(SDL_FLAGS)
+	dh_auto_build -- RUNTESTS=0 $(COMMON_FLAGS) $(CURSES_FLAGS) $(BIN_FLAGS)
+	dh_auto_build -- RUNTESTS=0 $(COMMON_FLAGS) $(SDL_FLAGS) $(BIN_FLAGS)
 	# generate icons
 	for size in 16 32 64 128; do \
 		mkdir -p debian/icons/hicolor/$${size}x$${size}/apps; \
@@ -29,11 +34,11 @@
 override_dh_auto_build-indep:
 
 override_dh_auto_install-arch:
-	$(MAKE) install-bin DESTDIR=debian/tmp $(COMMON_FLAGS) $(CURSES_FLAGS)
-	$(MAKE) install-bin DESTDIR=debian/tmp $(COMMON_FLAGS) $(SDL_FLAGS)
+	$(MAKE) install-bin DESTDIR=debian/tmp $(COMMON_FLAGS) $(CURSES_FLAGS) $(BIN_FLAGS)
+	$(MAKE) install-bin DESTDIR=debian/tmp $(COMMON_FLAGS) $(SDL_FLAGS) $(BIN_FLAGS)
 
 override_dh_auto_install-indep:
-	$(MAKE) install-data DESTDIR=debian/tmp $(COMMON_FLAGS) $(SDL_FLAGS)
+	$(MAKE) install-data DESTDIR=debian/tmp $(COMMON_FLAGS) $(SDL_FLAGS) $(BIN_FLAGS)
 
 override_dh_auto_test-arch:
 	# mipsel buildd runs out of memory while linking the test binary.
