=== debian/tests/control ===
Tests: test-game
Depends: cataclysm-dda-curses, expect, locales-all
